## portalocker 1.1.0

=== tests/requirements.txt ===
pytest>=3.0
pytest-cache
pytest-cov
pytest-flakes
pytest-pep8
Sphinx
Pygments

## portalocker 0.3~ds0

=== debian/changelog ===
portalocker (0.3~ds0-1) unstable; urgency=low

  * Initial release. (Closes: #703832)

 -- Alessio Treglia <alessio@debian.org>  Sat, 12 Jan 2013 21:34:30 +0000

=== debian/control ===
Source: portalocker
Section: python
Priority: optional
Maintainer: Alessio Treglia <alessio@debian.org>
Build-Depends:
 debhelper (>= 9~),
 python-all,
 python-setuptools
X-Python-Version: >= 2.6
Standards-Version: 3.9.4
Homepage: https://github.com/WoLpH/portalocker
Vcs-Git: git://anonscm.debian.org/collab-maint/portalocker.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/portalocker.git

Package: python-portalocker
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends}
Description: easy API to file locking (Python 2)
 Portalocker is a cross-platform library to provide
 an easy API to file locking.
 .
 This is the Python 2 version of the package.

#Package: python3-portalocker
#Architecture: all
#Depends:
# ${misc:Depends},
# ${python3:Depends}
#Description: easy API to file locking (Python 3)
# Portalocker is a cross-platform library to provide
# an easy API to file locking.
# .
# This is the Python 3 version of the package.

## portalocker 0.4~ds0

=== debian/changelog ===
portalocker (0.4~ds0-1) unstable; urgency=low

  * QA upload.
  * New upstream bugfix release.

 -- Alessio Treglia <alessio@debian.org>  Mon, 02 Dec 2013 11:20:51 +0000

portalocker (0.3~ds0-2) unstable; urgency=low

  * QA upload.
  * Orphaning this.

 -- Alessio Treglia <alessio@debian.org>  Thu, 17 Oct 2013 13:52:33 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: portalocker
 Section: python
 Priority: optional
-Maintainer: Alessio Treglia <alessio@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
  debhelper (>= 9~),
  python-all,
@@ -9,8 +9,6 @@
 X-Python-Version: >= 2.6
 Standards-Version: 3.9.4
 Homepage: https://github.com/WoLpH/portalocker
-Vcs-Git: git://anonscm.debian.org/collab-maint/portalocker.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/portalocker.git
 
 Package: python-portalocker
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export REPACK_SH=$(CURDIR)/debian/repack.sh

%:
	dh $@ --with python2

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build
	rm -rf *.egg-info

get-orig-source:
	uscan --force-download

=== debian/watch ===
version=3
opts="dversionmangle=s/~ds.*//" \
http://pypi.python.org/packages/source/p/portalocker/ \
	portalocker-(.*)\.tar\.gz \
	debian sh debian/repack.stub

## portalocker 0.5.1

=== debian/changelog ===
portalocker (0.5.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    -Add Debian Python Modules Team as Maintainer.
    -Add Vcs-* fields.
  * Buildsystem changed to pybuild.
  * Removes repack.* files
  * Removes gbp.conf, it is not needed anymore

 -- Josue Ortega <josueortega@debian.org.gt>  Thu, 08 May 2014 21:50:44 -0600

portalocker (0.5~ds0-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release:
    - Python3 support.
  * Add Python3 package.

 -- Alessio Treglia <alessio@debian.org>  Wed, 30 Apr 2014 11:31:17 +0100

portalocker (0.4~ds0-2) unstable; urgency=low

  * New Maintainer (Closes: #726634).
  * Standards version updated to 3.9.5, no changes required.

 -- Josue Ortega <josueortega@debian.org.gt>  Sun, 05 Jan 2014 16:01:37 -0600

=== debian/control ===
Source: portalocker
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Josue Ortega <josueortega@debian.org.gt>
Build-Depends:
 debhelper (>= 9~),
 dh-python,
 python-all,
 python-pytest,
 python-setuptools,
 python3-all,
 python3-pytest,
 python3-setuptools
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Standards-Version: 3.9.5
Homepage: https://github.com/WoLpH/portalocker
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/portalocker/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/portalocker/trunk/

Package: python-portalocker
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends}
Description: easy API to file locking (Python 2)
 Portalocker is a cross-platform library to provide
 an easy API to file locking.
 .
 This is the Python 2 version of the package.

Package: python3-portalocker
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends}
Description: easy API to file locking (Python 3)
 Portalocker is a cross-platform library to provide
 an easy API to file locking.
 .
 This is the Python 3 version of the package.

=== debian/watch ===
version=3
opts="dversionmangle=s/~ds.*//" \
http://pypi.python.org/packages/source/p/portalocker/ \
	portalocker-(.*)\.tar\.gz

## portalocker 0.5.4

=== debian/changelog ===
portalocker (0.5.4-2) unstable; urgency=medium

  * Upload to unstable.

 -- Josue Ortega <josueortega@debian.org.gt>  Sat, 09 May 2015 17:19:20 -0600

portalocker (0.5.4-1) experimental; urgency=medium

  * New upstream release
  * Standards version updated to 3.9.6, no changes required.

 -- Josue Ortega <josueortega@debian.org.gt>  Sat, 29 Nov 2014 18:15:17 -0600

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  python3-setuptools
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://github.com/WoLpH/portalocker
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/portalocker/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/portalocker/trunk/

## portalocker 0.5.5

=== debian/changelog ===
portalocker (0.5.5-1) unstable; urgency=medium

  * New upstream release:
    - debian/docs: Updated Readme file name.
  * debian/control:
    - Updated X-Python-Version.
    - Packaging moved to Git and change Vcs-* fields to use secure URIs.
  * Fixes debian/watch file.

 -- Josue Ortega <josueortega@debian.org.gt>  Sat, 06 Feb 2016 17:29:12 -0600

=== debian/control ===
--- 
+++ 
@@ -12,12 +12,12 @@
  python3-all,
  python3-pytest,
  python3-setuptools
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.2
+X-Python-Version: >= 2.7
+X-Python3-Version: >= 3.4
 Standards-Version: 3.9.6
 Homepage: https://github.com/WoLpH/portalocker
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/portalocker/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/portalocker/trunk/
+Vcs-Git: https://anonscm.debian.org/cgit/python-modules/packages/portalocker.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/portalocker.git
 
 Package: python-portalocker
 Architecture: all

## portalocker 0.5.7

=== debian/changelog ===
portalocker (0.5.7-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Bumps standards version to 3.9.7, no changes
    required.

 -- Josue Ortega <josueortega@debian.org.gt>  Sat, 12 Mar 2016 12:46:03 -0600

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  python3-setuptools
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.4
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: https://github.com/WoLpH/portalocker
 Vcs-Git: https://anonscm.debian.org/cgit/python-modules/packages/portalocker.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/portalocker.git

## portalocker 1.0.1

=== debian/changelog ===
portalocker (1.0.1-1) unstable; urgency=medium

  * New upstream release (1.0.1).

 -- Josue Ortega <josue@debian.org>  Sun, 15 Jan 2017 09:33:50 -0600

portalocker (1.0.0-1) unstable; urgency=medium

  * New upstream release:
    - debian/control: Adds python-pytest-runner as build depenedency.

 -- Josue Ortega <josue@debian.org>  Sun, 02 Oct 2016 16:50:51 -0600

portalocker (0.6.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Bumps standards version to 3.9.8, no changes required.
    - Updates uploader email.

 -- Josue Ortega <josue@debian.org>  Tue, 06 Sep 2016 21:33:17 -0600

## portalocker 1.1.0

=== debian/changelog ===
portalocker (1.1.0-2) unstable; urgency=medium

  * Upload to unstable (1.1.0-2)

 -- Josue Ortega <josue@debian.org>  Mon, 19 Jun 2017 17:36:04 -0600

portalocker (1.1.0-1) experimental; urgency=medium

  * New upstream release (1.1.0).

 -- Josue Ortega <josue@debian.org>  Sun, 19 Feb 2017 15:28:23 -0600

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,21 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Josue Ortega <josueortega@debian.org.gt>
+Uploaders: Josue Ortega <josue@debian.org>
 Build-Depends:
  debhelper (>= 9~),
  dh-python,
  python-all,
  python-pytest,
+ python-pytest-runner,
  python-setuptools,
  python3-all,
  python3-pytest,
+ python3-pytest-runner,
  python3-setuptools
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.4
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://github.com/WoLpH/portalocker
 Vcs-Git: https://anonscm.debian.org/cgit/python-modules/packages/portalocker.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/portalocker.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export PYBUILD_NAME=portalocker

%:
	dh $@ --with python2,python3  --buildsystem=pybuild

# Skipping tests as upstream doesn't provide them along with the tarball
override_dh_auto_test:

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/portalocker/portalocker-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## portalocker 1.3.0

=== debian/changelog ===
portalocker (1.3.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/watch: Use https protocol
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout

  [ Josue Ortega ]
  * New upstream release. (1.3.0)
  * Bump debhelper compat version from 9 to 11.
  * Bump Standards Version to 4.3.0.
  * Add test suite for autopkg test.

 -- Josue Ortega <josue@debian.org>  Thu, 27 Dec 2018 11:37:56 -0600

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Josue Ortega <josue@debian.org>
 Build-Depends:
- debhelper (>= 9~),
+ debhelper (>= 11),
  dh-python,
  python-all,
  python-pytest,
@@ -14,12 +14,10 @@
  python3-pytest,
  python3-pytest-runner,
  python3-setuptools
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.4
-Standards-Version: 3.9.8
+Standards-Version: 4.3.0
 Homepage: https://github.com/WoLpH/portalocker
-Vcs-Git: https://anonscm.debian.org/cgit/python-modules/packages/portalocker.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/portalocker.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/portalocker.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/portalocker
 
 Package: python-portalocker
 Architecture: all

=== debian/tests/control ===
Test-Command: python -c "import portalocker"

Test-Command: python3 -c "import portalocker"

## portalocker 1.5.1

=== debian/changelog ===
portalocker (1.5.1-1) unstable; urgency=medium

  * New upstream release (1.5.1)
  * Add salsa-ci configuration file

 -- Josue Ortega <josue@debian.org>  Mon, 12 Aug 2019 12:53:01 -0600

portalocker (1.5.0-2) unstable; urgency=medium

  * Team upload.
  * Don't try to run autopkgtests for Python 2.

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 11 Aug 2019 00:51:56 +0500

portalocker (1.5.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Josue Ortega ]
  * New upstream release (1.5.0)
  * Remove python2 package
  * Update debhelper-compat version to use (= 12)

 -- Josue Ortega <josue@debian.org>  Fri, 26 Jul 2019 20:36:32 -0300

=== debian/control ===
Source: portalocker
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Josue Ortega <josue@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-pytest,
 python3-pytest-runner,
 python3-setuptools
Standards-Version: 4.4.0
Homepage: https://github.com/WoLpH/portalocker
Vcs-Git: https://salsa.debian.org/python-team/modules/portalocker.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/portalocker

Package: python3-portalocker
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends}
Description: easy API to file locking (Python 3)
 Portalocker is a cross-platform library to provide
 an easy API to file locking.
 .
 This is the Python 3 version of the package.

=== debian/tests/control ===
Test-Command: python3 -c "import portalocker"

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/portalocker/portalocker-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## portalocker 2.2.1

=== debian/changelog ===
portalocker (2.2.1-1) unstable; urgency=medium

  * New upstream release (2.2.1)

 -- Josue Ortega <josue@debian.org>  Tue, 09 Feb 2021 13:37:44 -0600

portalocker (2.1.0-1) unstable; urgency=medium

  * New upstream release (2.1.0)
  * Bump Standards-Version to 4.5.1. No changes required
  * debian/watch: Bump file standard version to 4

 -- Josue Ortega <josue@debian.org>  Tue, 26 Jan 2021 19:18:14 -0600

portalocker (2.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Josue Ortega ]
  * New upstream release (2.0.0)
  * Update package to use debhelper-compat (= 13)
  * debian/copyright: Update copyright years
  * debian/control:
    + Document missing Rules-Requires-Root field
    + Update python3-portalocker description
  * Bump Standards-Version to 4.5.0. No changes required
  * Improve autopkgtest to avoid superficial test. (Closes: #970959)

 -- Josue Ortega <josue@debian.org>  Thu, 29 Oct 2020 18:57:20 -0600

=== debian/control ===
Source: portalocker
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Josue Ortega <josue@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-pytest,
 python3-pytest-runner,
 python3-setuptools
Standards-Version: 4.5.1
Homepage: https://github.com/WoLpH/portalocker
Vcs-Git: https://salsa.debian.org/python-team/packages/portalocker.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/portalocker
Rules-Requires-Root: no

Package: python3-portalocker
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends}
Description: easy API to file locking
 Portalocker is a cross-platform library to provide
 an easy API to file locking.

## portalocker 3.1.1

=== debian/changelog ===
portalocker (3.1.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.6.2, no changes needed.

  [ Josue Ortega ]
  * New upstream release (3.1.1)
  * debian/control: Add pybuild-plugin-pyproject as build dep.
  * Bump Standards-Version to 4.7.2. No changes required.
  * debian/copyright: Update debian/* copyright holder years

 -- Josue Ortega <josue@debian.org>  Fri, 02 May 2025 17:57:48 -0300

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,9 @@
  python3-all,
  python3-pytest,
  python3-pytest-runner,
- python3-setuptools
-Standards-Version: 4.5.1
+ python3-setuptools,
+ pybuild-plugin-pyproject,
+Standards-Version: 4.7.2
 Homepage: https://github.com/WoLpH/portalocker
 Vcs-Git: https://salsa.debian.org/python-team/packages/portalocker.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/portalocker

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export PYBUILD_NAME=portalocker
 
 %:
-	dh $@ --with python2,python3  --buildsystem=pybuild
+	dh $@ --with python3  --buildsystem=pybuild
 
 # Skipping tests as upstream doesn't provide them along with the tarball
 override_dh_auto_test:

=== debian/tests/control ===
Tests: lock

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/portalocker/portalocker-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
